## ltsp 5.2.8-0ubuntu1+5.0trisquel1

=== debian/changelog ===
ltsp (5.2.8-0ubuntu1+5.0trisquel1) dagda; urgency=low

  * Rebranded for Trisquel, LDM_DIRECTX=True by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 20 Sep 2011 00:17:37 +0000

ltsp (5.2.8-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.8).
   - Ignore return code of chmod in ltsp-update-kernels (LP: #759965)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Apr 2011 14:32:40 -0400

ltsp (5.2.7-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.7).
   - Force vmlinuz, initrd and nbi to be readable by tftp daemon (LP: #759115)
   - Fix race condition with ntpdate
   - Update translations
   - Fix inheritence issue in CRONTAB_
   - Simplify run_parts_list function
   - Gentoo specific fixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Apr 2011 16:09:22 -0400

ltsp (5.2.6-0ubuntu4) natty; urgency=low

  * Make Edubuntu theme default for LTSP Live on Edubuntu media

 -- Jonathan Carter <jonathan@ubuntu.com>  Tue, 05 Apr 2011 15:19:26 -0400

ltsp (5.2.6-0ubuntu3) natty; urgency=low

  * Fix postinst script generating invalid ssh_known_hosts file on Edubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 28 Mar 2011 12:22:43 -0400

ltsp (5.2.6-0ubuntu2) natty; urgency=low

  * Fix typo in post-inst script (LP: #730331)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Mar 2011 10:43:17 -0500

ltsp (5.2.6-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (LP: #727339).
   - Disable nbd-proxy by default (fixes thin clients hanging at boot time)
   - ecdsa key support
   - Syntax issue in a "find" call
   - Fixes a possible race condition with fat clients

  * Update postinst script to handle ecdsa keys for edubuntu

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Mar 2011 16:09:47 -0500

ltsp (5.2.5-0ubuntu1) natty; urgency=low

  * New upstream release
   - Implement LTSP remote apps
   - jepipe refactoring, using python-daemon now
   - support updating hardware clock in set_time()
   - Various Debian and Gentoo specific changes
   - Improve initramfs scripts (debug ,race conditions, ...)
   - Code cleanup and translation update
  * Add dependency on python-daemon (required by jetpipe)
  * Sort ltsp-client-core.install and add
   - client/kioskSession (kiosk)
   - localapps/ltsp-open (remote apps)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 05 Dec 2010 23:05:44 -0500

ltsp (5.2.4-0ubuntu6) maverick; urgency=low

  * Fix typo in last upload causing one of the ssh_known_hosts entry to
    be missing. (still Edubuntu-specific)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Sep 2010 21:56:13 -0400

ltsp (5.2.4-0ubuntu5) maverick; urgency=low

  * Update edubuntu hook:
   * Remove call to ltsp-update-sshkeys and replace by own implementation.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Sep 2010 23:37:27 -0400

ltsp (5.2.4-0ubuntu4) maverick; urgency=low

  * Update edubuntu hook to create syslog and messages if they don't exist.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 23:54:36 -0400

ltsp (5.2.4-0ubuntu3) maverick; urgency=low

  * Add edubuntu hook to ltsp-server's postinst so LTSP installs fine.
    It's running ltsp-(update-sshkeys|update-image|update-kernels) if
    /opt/ltsp/i386 and /etc/edubuntu_ltsp_install both exists

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 19:12:14 -0400

ltsp (5.2.4-0ubuntu2) maverick; urgency=low

  * Update the d-i component to use /media/cdrom instead of /cdrom
    as /cdrom doesn't exist in /target anymore.
  * Set Language field for debconf translation or debconf-updatepo
    will set it to an empty value.

  * Fix .diff.gz issue in -0ubuntu1, these upstream changes weren't
    in the binary package. These were upstream bugfixes and optimisations:
   * udhcp now waits for 0.1s instead of 1s
   * Change ltsp-core's way to start upstart
   * Fix configure_cron's check of /etc/cron.d being writeable
   * Add "Language" tag to most .po files
   * Fix X01-localapps's check of /etc being writeable
   * Get rid of .pc directory
   * Change ltsp-update-sshkeys to use /sbin/ip instead of /sbin/ifconfig

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 28 Aug 2010 16:00:58 -0400

ltsp (5.2.4-0ubuntu1) maverick; urgency=low

  * New upstream release (5.2.4)
   * Various Gentoo specifc fixes
   * Unmount binfmt_misc in ltsp-update-image
   * Change cdrom path from /cdrom to /media/cdrom in ltsp-build-client
   * adding a wrapper for rdesktop to work with pasuspender
   * set broadcat address in the udhcpc script
   * Unload compcache if there's another swap space available
   * allow disabling nbd-proxy and disable it on low-memory systems
   * new ltsp-chroot script
   * disable fat client on low-memory systems by default
   * update translations
   * lot of bugfixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 31 Jul 2010 18:04:05 -0400

ltsp (5.2.1-0ubuntu8) lucid; urgency=low

  * Make LTSP live working in non-english languages (edubuntu only).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Apr 2010 08:27:23 -0400

ltsp (5.2.1-0ubuntu7) lucid; urgency=low

  * Fix multi-NIC support in d-i plugin. (LP: #376933)
  * Fix wrong arch on non-i386 in dhcpd.conf (LP: #203954)
  * Add dependency on a plymouth theme so we have a splash.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 20:15:10 -0400

ltsp (5.2.1-0ubuntu6) lucid; urgency=low

  * Fix d-i component to correctly generate ssh_known_hosts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 18:01:25 -0400

ltsp (5.2.1-0ubuntu5) lucid; urgency=low

  * Fix typo in the ltsp-livecd script.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 27 Mar 2010 12:15:54 -0400

ltsp (5.2.1-0ubuntu4) lucid; urgency=low

  * Update the LTSP liveCD scripts and launchers (affects only Edubuntu DVD).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Mar 2010 19:22:38 -0400

ltsp (5.2.1-0ubuntu3) lucid; urgency=low



=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 5), flex, bison, libpopt-dev, po-debconf, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://www.ltsp.org
Vcs-Bzr: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk
Vcs-Browser: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk

Package: ltsp-server
Depends: ${misc:Depends}, ${shlibs:Depends}, debootstrap, lsb-release, iproute, debconf-utils, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base, nbd-server, squashfs-tools
Recommends: openssh-server | ssh, ltspfs, ldm-server, tftpd-hpa
Suggests: dhcp3-server, sdm, audiooss, nfs-kernel-server
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ${misc:Depends}, ${shlibs:Depends}, ltsp-server, libasound2-plugins, ltspfs, openssh-server, nbd-server, xbase-clients, ldm-server
Recommends: pulseaudio-esound-compat, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base, nbd-client, initramfs-tools (>= 0.11), syslinux [i386 amd64], mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], lsb-release, kbd, console-setup, python, tftp-hpa, python-serial, numlockx, udhcpc, cron, pciutils, usbutils, python-daemon
Architecture: any
Description: LTSP client environment (core)
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ltsp-client
Depends: ${misc:Depends}, ${shlibs:Depends}, ltsp-client-core, ldm | x-display-manager, pulseaudio-esound-compat, ltspfsd, libgl1-mesa-dri, xorg, laptop-detect, inputattach, plymouth-theme-trisquel-logo | usplash-theme-trisquel, plymouth-theme-trisquel-text | usplash-theme-trisquel, dmz-cursor-theme, libasound2-plugins, pulseaudio, alsa-utils, alsa-base, sshfs, dbus, rdesktop, wget, sane-utils, cups-bsd
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

Package: ltsp-livecd
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, zenity
Description: starts an LTSP live server on an Ubuntu livecd session
 This script installs the ltsp-server-standalone package and dependencies
 from packages intalled on a live CD and then initiates an LTSP server
 session using a pre-built squashfs image supplied on the disc.
 .
 You would normally not want to install this package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_SRC_BUILD_PROG:=dpkg-buildpackage -rfakeroot -S -sa

build: build-stamp
build-stamp:
	dh_testdir
	cd localapps; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
	cd nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -

	$(MAKE) -C client/getltscfg
	$(MAKE) -C localapps
	$(MAKE) -C nbd-proxy
	$(MAKE) -C po update-po
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

#	$(MAKE) -C client/getltscfg clean
#	$(MAKE) -C localapps clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Make the bug reporting script executable
	chmod +x debian/bugs/ltsp-server/script

	# Make the Live LTSP script executable
	chmod +x debian/scripts/ltsp-livecd
	chmod +x debian/scripts/ltsp-livecd-gui

	# Unpack the icon
	base64 -d debian/scripts/ltsp-livecd-gui.png.b64 > debian/scripts/ltsp-livecd-gui.png

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

	# Copy init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/initscripts/ltsp-setup $(CURDIR)/debian/ltsp-client-core.ltsp-client-setup.init

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i -Xarch-ids
	dh_installdebconf -i
	dh_installman -pltsp-server -pltsp-client-core
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installdebconf -a
	dh_installinit -a --no-start -u"start 25 2 ."
	dh_installinit --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

bzr-release:
	bzr export ltsp-$(DEB_UPSTREAM_VERSION) 
	rm -rf ltsp-$(DEB_UPSTREAM_VERSION)/debian
	tar czf ../ltsp_$(DEB_UPSTREAM_VERSION).orig.tar.gz ltsp-$(DEB_UPSTREAM_VERSION)
	rm -rf ltsp-$(DEB_UPSTREAM_VERSION)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install bzr-release

## ltsp 5.2.16

=== debian/changelog ===
ltsp (5.2.16-1) unstable; urgency=low

  * New upstream version:
    - ltsp-server:
      + ltsp-update-sshkeys: consistantly handle when ssh host keys are not 
        present.
      + Remove abi and vmcoreinfo in ltsp-update-kernels cleanup function.
        (LP: #769154)
      + Add support for named NBD exports to ltsp-update-image.
      + Add nbd-update-config script to support named NBD exports.

    - ltsp-build-client:
      + Add --kernel-version and --kernel-variant commandline options.
      + Default to version 8 for kfreebsd kernel images.
      + Drop support for lenny with squashfs-images.
      + Switch to qemu-debootstrap to handle cross-architecture building.
      + Use debootstrap's --variant=minbase instead of a long list of outdated 
        excludes.
      + Fix inverted logic appending locales package to debootstrap includes.
      + Use cdn.debian.net as the default mirror.
      + Check for NFS exports in /etc/exports.d/*.exports.
      + Add --eatmydata commandline option for faster development testing by 
        using eatmydata LD_PRELOAD.

    - ltsp-client-core:
      + Add an xterm screen script.
      + Replace rdesktop screen script with one that supports both xfreerdp 
		and rdesktop.
      + Remove modesetting part of XRANDR_AUTO_MULTIHEAD. Causes more
        problems than it solves.
      + Update ltsp_nbd to support named NBD exports.
      + Update ltsp_config to work with named NBD exports.
      + Update nbd-proxy to support named NBD exports.
      + ltsp-init-common: support /run/sendsigs.omit.d in 
        nbd_sendsigs_protection function.
      + ltsp-init-common: Fix issues with RCFILE_* and MODULE_* lts.conf i
        variables.

    - ltsp-common-functions:
      + Detect nc version for nc -q capability.

  * Change architecture for linux-specific dependencies to use linux-any
    rather than an exclude list. Thanks to Robert Millan (Closes: #634318).
  * Only install nbd-proxy on linux based architectures. 
  * ltsp-client: allow freerdp-x11 as an alternative to rdesktop. 
  * Patch from upstream to fix check for NFS exports in 
    /etc/exports.d/*.exports.
  * debian/rules: Convert to using debhelper overrides.
  * ltsp-server: Remove check for NFS exports from postinst, as it is
    handled better in an ltsp-build-client plugin.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 14 Aug 2011 07:53:58 -0700

ltsp (5.2.8-1) unstable; urgency=low

  * New upstream version:
    - Fix lts.conf CRONTAB_* entries.
    - ltsp_config: Disable filename expansion when setting environment 
      variables.
    - ltsp-init-common: Do not run ntpdate backgrounded, as this can fail on 
      fast thin clients.
    - Ensure vmlinuz, initrd and nbi are ALWAYS readable by the tftp daemon.
    - Updated translations:
      + Catalan (ca), by Jordà Polo and Jordi Mallach (Closes: #619437).
      + Finnish (fi), Esko Arajärvi (Closes: #618937).
      + Slovak (sk), by Slavko (Closes: #618410).

  * ltsp-client-core: install rdesktop.sh, used by the rdesktop screen script.
    Thanks to Rainer Stumbaum. (Closes: #626502)

  * Remove patch fix-run-parts-list-breakage, applied upstream. 

  * debian/control: 
    - Switch to DM-Upload-Allowed.
    - Update Vcs-Bzr and Vcs-Browser.
    - Update Standards-Version to 3.9.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 03 Jun 2011 13:11:54 -0700

ltsp (5.2.6-1) unstable; urgency=low

  * New upstream version:
    - initramfs-tools hooks:
      + ltsp_nbd:
        - Retry establishing NBD connections up to 10 times.
        - Mention which NBD server failed to connect.
        - Do not use nbd-proxy by default.
      + udhcp: Don't send a client id (LP #505916).
    - ltsp-update-sshkeys: Add support for ecdsa keys.
    - ltsp-bindmounts: new variables to append to default writeable directories
      and files.
    - ltsp-build-client: Crude support for multistrap as an alternative to
      debootstrap.
    - jetpipe: Use python's daemon library to background.
    - Rewrite of remote apps support.

  * New Danish (da) translation of debconf messages by Joe Dalton.
    (Closes: #599436)
  * ltsp-server:
    - Prefer isc-dhcp-server over other dhcp servers. 
  * ltsp-client:
    - Depend on python-daemon for newer version of jetpipe. 
  * debian/patches:
    - Drop  initramfs-configure-dns, applied upstream.
    - Add patch to fix breakage in ltsp-init-common run_parts_list function.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 18 Mar 2011 14:14:49 -0700

=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Carlos Laviola <claviola@debian.org>, Oliver Grawert <ogra@ubuntu.com>, Petter Reinholdtsen <pere@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), flex, bison, libpopt-dev, po-debconf, pkg-config, libx11-dev, automake | automaken
Standards-Version: 3.9.2
Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
DM-Upload-Allowed: yes
Homepage: http://ltsp.org

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, lsb-release, openssh-client, iproute | freebsd-net-tools, debconf-utils, python (>= 2.4), update-inetd, tcpd, gettext-base
Recommends: nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver
Suggests: isc-dhcp-server | dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, sdm, audiooss, pulseaudio-esound-compat | esound-clients | nas-bin, ltsp-docs, x11-utils, qemu-user-static
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: basic LTSP server environment
 This is the basic environment including the minimal features necessary to
 build an LTSP environment.
 .
 It also recommends services needed for thin-clients to boot and mount
 filesystems over the network.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-server-standalone
Depends: ${misc:Depends}, ltsp-server, nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver, isc-dhcp-server | dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, x11-utils
Architecture: all
Description: complete LTSP server environment
 This is a complete LTSP server environment with all LTSP server features
 including a DHCP server, remote device access using ltspfs, remote sound using
 pulseaudio, network swap using NBD and more.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base, nbd-client (>= 1:2.9.12-1) [linux-any], initramfs-tools (>= 0.11) [linux-any], syslinux [i386 amd64], mkelfimage[i386] | mknbi[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], tip22 [mips], lsb-release, kbd [linux-any] | console-tools [linux-any], python, tftp-hpa | tftp, console-setup
Suggests: ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop | freerdp-x11, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-serial, ntpdate, numlockx, sdm-terminal | x-display-manager, pulseaudio | esound | nas, sane-utils, cups-bsd
Architecture: any
Description: basic LTSP client environment
 This package provides the scripts needed to configure and boot a basic LTSP
 client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client
Depends: ${misc:Depends}, ltsp-client-core, xorg, ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop | freerdp-x11, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-daemon, python-serial, ntpdate, numlockx, sane-utils, cups-bsd
Architecture: any
Description: complete LTSP client environment
 This package ensures that a complete LTSP client with a graphical user
 environment, remote audio and local device support is installed.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
XB-Installer-Menu-Item: 7000
Description: build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the CD-ROM is still mounted.
 .
 LTSP stands for 'Linux Terminal Server Project'.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_configure:
	cd localapps; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
ifeq ($(DEB_HOST_ARCH_OS),linux)
	cd nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
endif

	$(MAKE) -C client/getltscfg
	$(MAKE) -C localapps
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) -C nbd-proxy 
endif
	$(MAKE) -C po update-po

override_dh_clean:
	[ ! -f client/getltscfg/Makefile ] || $(MAKE) -C client/getltscfg clean

	[ ! -f localapps/Makefile ] || $(MAKE) -C localapps clean

ifeq ($(DEB_HOST_ARCH_OS),linux)
	[ ! -f nbd-proxy/Makefile ] || $(MAKE) -C nbd-proxy clean
endif

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	chmod +x debian/bugs/ltsp-server/script

	dh_clean

override_dh_installinit:
	# Copy default and init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/initscripts/ltsp-setup $(CURDIR)/debian/ltsp-client-core.ltsp-client-setup.init

	dh_installinit -pltsp-client-core --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_installinit -a --no-start
ifeq ($(DEB_HOST_ARCH_OS),linux)
	mkdir -p $(CURDIR)/debian/ltsp-client-core/usr/sbin/
	install -m 755 nbd-proxy/src/nbd-proxy $(CURDIR)/debian/ltsp-client-core/usr/sbin/nbd-proxy
endif

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

## ltsp 5.2.16-0ubuntu7+5.5trisquel1

=== debian/scripts/po/Makefile ===
DOMAIN=ltsp-live
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=$(DOMAIN).pot

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	pygettext -d $(DOMAIN) -a -D ../ltsp-live
	xgettext -L glade -o $(DOMAIN).pot -j ../ltsp-live.xml
	sed "/#, fuzzy/d" -i ltsp-live.pot

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

distclean: clean
clean:
	- rm *.mo *~

.PHONY: update-po check

=== debian/changelog ===
ltsp (5.2.16-0ubuntu7+5.5trisquel1) brigantia; urgency=low

  * Rebranded for Trisquel, LDM_DIRECTX=True by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jun 2012 14:34:53 +0000

ltsp (5.2.16-0ubuntu7) oneiric; urgency=low

  * Change ltsp-live configuration script to use /bin/bash for the guest
    users.
  * In ltsp-live, only generate guest accounts for IPs that are given out
    by dnsmasq.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 12:40:11 -0400

ltsp (5.2.16-0ubuntu6) oneiric; urgency=low

  * Re-introduce ltsp-server-standalone that disappeared after the call
    to wrap-and-sort (for some unknown reason)
  * Drop Recommends from ltsp-client-core that got added by mistake
    by wrap-and-sort

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Sep 2011 09:21:01 -0400

ltsp (5.2.16-0ubuntu5) oneiric; urgency=low

  * Add dependency on all the fonts shipped by Ubuntu.
    This should fix rendering for most languages. (LP: #838845)
  * Run wrap-and-sort to make lists a bit more readable.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 18 Sep 2011 17:36:20 -0400

ltsp (5.2.16-0ubuntu4) oneiric; urgency=low

  * Fix LTSP-Live opening user session in the wrong language (LP: #838268)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 31 Aug 2011 13:52:53 -0400

ltsp (5.2.16-0ubuntu3) oneiric; urgency=low

  * Add language-pack-en by default to all chroot
    (required to get ldm to translate the UI at all)
  * Always set LANG to en_US.UTF-8 in LTSP Live and set
    LANGUAGE to the current value of $LANG to get ldm translated.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 30 Aug 2011 13:55:50 -0400

ltsp (5.2.16-0ubuntu2) oneiric; urgency=low

  * Replace ltsp-live by new code properly configuring Network Manager
    and supporting translation (LP: #791611)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Aug 2011 16:51:55 -0400

ltsp (5.2.16-0ubuntu1) oneiric; urgency=low

  * New upstream release (5.2.16)
    - Updated nbd-server to support named mounts (disabled by default)
    - Update ltsp-update-kernels to also clean symvers-*.gz
    - 091-unmount-dirs: Remove noise if /proc/mounts does not exist
    - ltsp-update-sshkeys: Noisy and not helpful error messages
    - ltsp-update-sshkeys: missing ecdsa host key is valid
    - Added tftp-dirs and purge-chroot options to ltsp-build-client man.
    - Multiple fedora, gentoo and debian specific changes

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Aug 2011 12:27:14 -0400

ltsp (5.2.13-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (5.2.13)
    - Fix missing import in nbd-update-image
  * Fix ltsp-client-builder udeb to work with /run
  * Bump standards

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 17:08:00 -0400

ltsp (5.2.12-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Make ltsp-update-sshkeys consistent when missing host keys
    - Add support for nbdname to ltsp-update-image (LP: #806419, LP: #331600)
    - Add support for /run/sendsigs.omit.d in nbd_sendsigs_protection
    - Update ltsp_nbd for named nbd devices support (LP: #806419, LP: #331600)
    - Allow setting tftp-dirs from ltsp-build-client.
      Patch from Wim Muskee. (LP: #417127)
    - Only call asoundconf if it actually exists (LP: #609766)
    - Also copy sources.list.d entries when using --copy-sourceslist,
      thanks to Jimmy Hedman (LP: #706691)
    - Remove abi and vmcoreinfo in ltsp-update-kernels
      cleanup function (LP: #769154)
    - screen.d/xterm: pass a single, quoted command to xinitrc
    - screen.d/xfreerdp: pass a single, quoted command to xinitrc
    - Replace screen.d/rdesktop by screen.d/xfreerdp
      and make rdesktop a symlink
    - Add an xterm session script
    - Detect nc version for nc -q capability
    - Fix issues with RCFILE_ and MODULE_ (patch from jam@tigger.ws)
    - Remove modesetting part of XRANDR_AUTO_MULTIHEAD.
    - Update translations
    - ltsp-vmclient is obsolete.  Mark it as an example.
    - new version of nbd-proxy (off by default)

  * Remove rdesktop.sh from ltsp-client-core (no longer exists)
  * Add nbd-update-config to /usr/share/ltsp/scripts/
  * Set NBD_NAMED to 1 in ltsp-update-image.conf

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 09:25:20 -0400

ltsp (5.2.8-0ubuntu2) oneiric; urgency=low

  * Add ltsp-bindmounts from Debian (LP: #620133)
  * Resync debian/copyright from Debian

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Jul 2011 10:10:09 +0200

=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: bison,
               debhelper (>= 5),
               flex,
               libgtk2.0-dev,
               libpopt-dev,
               po-debconf
Standards-Version: 3.9.2
Homepage: http://www.ltsp.org
Vcs-Bzr: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk
Vcs-Browser: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk

Package: ltsp-server
Depends: debconf-utils,
         debootstrap,
         gettext-base,
         iproute,
         lsb-release,
         nbd-server,
         openbsd-inetd | inet-superserver,
         python (>= 2.4),
         squashfs-tools,
         tcpd,
         update-inetd,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ldm-server, ltspfs, openssh-server | ssh, tftpd-hpa
Suggests: audiooss, dhcp3-server, nfs-kernel-server, sdm
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ldm-server,
         libasound2-plugins,
         ltsp-server,
         ltspfs,
         nbd-server,
         openssh-server,
         xbase-clients,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dhcp3-server, pulseaudio-esound-compat
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.

Package: ltsp-client-core
Depends: console-setup,
         cron,
         initramfs-tools (>= 0.11),
         kbd,
         lsb-base,
         lsb-release,
         mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc],
         nbd-client,
         numlockx,
         pciutils,
         python,
         python-daemon,
         python-serial,
         syslinux [i386 amd64],
         tftp-hpa,
         udhcpc,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: LTSP client environment (core)
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.
Pre-Depends: debconf (>= 0.5) | debconf-2.0

Package: ltsp-client
Depends: alsa-base,
         alsa-utils,
         cups-bsd,
         dbus,
         dmz-cursor-theme,
         inputattach,
         language-pack-en,
         laptop-detect,
         ldm | x-display-manager,
         libasound2-plugins,
         libgl1-mesa-dri,
         ltsp-client-core,
         ltspfsd,
         plymouth-theme-trisquel-logo | usplash-theme-trisquel,
         plymouth-theme-trisquel-text | usplash-theme-trisquel,
         pulseaudio,
         pulseaudio-esound-compat,
         rdesktop,
         sane-utils,
         sshfs,
         ttf-dejavu-core,
         ttf-freefont,
         ttf-indic-fonts-core,
         ttf-kacst-one,
         ttf-khmeros-core,
         ttf-lao,
         ttf-liberation,
         ttf-punjabi-fonts,
         ttf-takao-pgothic,
         ttf-thai-tlwg,
         ttf-ubuntu-font-family,
         ttf-unfonts-core,
         ttf-wqy-microhei,
         wget,
         xorg,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: pkgsel, ${misc:Depends}, ${shlibs:Depends}
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target
 while the cdrom is still mounted.

Package: ltsp-livecd
Architecture: all
Depends: python, python-gobject, ${misc:Depends}, ${shlibs:Depends}
Description: starts an LTSP live server on an Ubuntu livecd session
 This script installs the ltsp-server-standalone package and dependencies
 from packages intalled on a live CD and then initiates an LTSP server
 session using a pre-built squashfs image supplied on the disc.
 .
 You would normally not want to install this package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_SRC_BUILD_PROG:=dpkg-buildpackage -rfakeroot -S -sa

build: build-stamp
build-stamp:
	dh_testdir
	cd localapps; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
	cd nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -

	$(MAKE) -C client/getltscfg
	$(MAKE) -C localapps
	$(MAKE) -C nbd-proxy
	$(MAKE) -C po update-po
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

#	$(MAKE) -C client/getltscfg clean
#	$(MAKE) -C localapps clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Make the bug reporting script executable
	chmod +x debian/bugs/ltsp-server/script

	# Make the Live LTSP script executable
	chmod +x debian/scripts/ltsp-live

	# Unpack the icon
	base64 -d debian/scripts/ltsp-live.png.b64 > debian/scripts/ltsp-live.png

	# Build and install the locales
	cd debian/scripts/po; DESTDIR=$(CURDIR)/debian/ltsp-livecd/ make install

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

	# Copy init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/initscripts/ltsp-setup $(CURDIR)/debian/ltsp-client-core.ltsp-client-setup.init

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i -Xarch-ids
	dh_installdebconf -i
	dh_installman -pltsp-server -pltsp-client-core
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installdebconf -a
	dh_installinit -a --no-start -u"start 25 2 ."
	dh_installinit --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

bzr-release:
	bzr export ltsp-$(DEB_UPSTREAM_VERSION) 
	rm -rf ltsp-$(DEB_UPSTREAM_VERSION)/debian
	tar czf ../ltsp_$(DEB_UPSTREAM_VERSION).orig.tar.gz ltsp-$(DEB_UPSTREAM_VERSION)
	rm -rf ltsp-$(DEB_UPSTREAM_VERSION)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install bzr-release

## ltsp 5.3.4

=== debian/changelog ===
ltsp (5.3.4-1) unstable; urgency=low

  * New upstream version:
    - Remove ltsp-setup init script.
    - Update lsb headers on ltsp-core init script.
    - Remove references to usplash.
    - Moved some ltsp-init-common functions to init-ltsp.d hooks.
    - Rearrange init-ltsp.d scripts to set SERVER earlier and consistantly.
    - Provide a KEEP_SYSTEM_SERVICES whitelist in init-ltsp.d hooks.
    - Update xfreerdp script to handle the case where rdesktop or xfreerdp
      aren't installed.
    - Consistantly use 192.168.0.1 as default server.
    - Append to ltsp_config instead of overwriting it.
    - Set sound volume on fat clients too (LP: #923923).
    - Disconnect NBD mounts when the ltsp-client service is stopped.

  * ltsp-client: 
    - Add versioned dependency on ltspfsd >= 1.1.
    - Add dependency on x11-xserver-utils for xrandr support.
    - Add dependency on cron.

  * ltsp-client-core:
    - Update lintian overrides to ignore warnings/errors about remote 
      filesystem issues that don't make sense for LTSP.

  * debian/control: 
    - Remove inactive maintainers from Uploaders, thanks for all past and 
      hopefully future contributions!
    - Update Standards-Version to 3.9.3, no changes necessary.

  * debian/watch: 
    - Remove entry to check Fedora, which has not been updated for some time.

  * debian/patches:
    - Update use-test-binary.
    - Remove use-invokercd-initscripts, obsoleted upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Mar 2012 19:18:50 -0800

ltsp (5.3.1-1) unstable; urgency=low

  * New upstream release:
    - Most ltsp-build-client plugins have now been moved to ltsp-init.d
      scripts, applying at boot time instead of build time.
    - Massive rework of all our init scripts, including deprecation of
      ltsp-client-setup.
    - Better NBD handling, using the upstream NBD scripts. LTSP is now
      using named NBD mount for both root and swap.
    - Moved from a whitelist of boot services to a blacklist, please get
      in touch with upstream if you noticed something that needs
      blacklisting.
    - New improved nbd-proxy with support for named NBD mounts
      (nbd-proxy is turned off by default)
    - Improvements to ltsp-update-image including use of ionice by default.
    - Lots of fat clients improvement.
    - Proper handling of resolvconf
    - LTSP now ships /sbin/init-ltsp that's used to configure the thin
      client at boot time.
    - Improve ltsp-chroot command (it even has a manpage now).
    - Better handling of mixed NFS and NBD environment.
    - More consistent use of ltsp_config and ltsp-*-functions giving us
      a consistent environment and avoiding some delays.
    - Improved sound volume handling using udev rule instead of the old
      script.
    - Default to use NFS with a writeable aufs overlay for the entire root 
      filesytem.
    - ltsp-build-client: Configure ltsp-update-image depending on type of 
      installed environment to ensure running ltsp-update-image doesn't 
      automatically convert from one type of network boot to another.
    - Add fat-client ltsp-build-client plugin.
    - Fix ltsp-build-client kiosk plugin to use kiosk screen
      session (Closes: #659396).
    - ltsp-build-client locales plugin: Copy /etc/default/keyboard if present.
    - Start ltsp-client-core only when an LTSP boot was requested.
    - Plenty of other fixes, thanks to everyone involved with this release!

  * debian/control:
    - ltsp-client: Add dependency on rsyslog or system-log-daemon.
    - ltsp-client: Prefer freerdp-x11 over rdesktop.
    - ltsp-client-core: Add dependency on iproute, used to detect the client 
      mac address.
    - ltsp-client-core: Recommend procps, used in much of the LTSP codebase.

  * debian/rules: 
    - Use override_dh_install for nbd-proxy and po-file installation.
    - Install nbd-client-proxy.
    - Use dh_autoreconf to call autogen.sh.

   * Slovak (sk) translation of debconf messages by Slavko (Closes: #651727).

   * debian/patches: Remove check-exports-d, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Feb 2012 22:15:41 -0800
